> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.getkard.com/2024-10-01/api/transactions/create-audits/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getkard.com/_mcp/server. # Create Audits POST https://rewards-api.getkard.com/v2/issuers/{organizationId}/users/{userId}/audits Content-Type: application/json Call this endpoint to request that a particular transaction be audited further by the Kard system, in the event of a missing cashback claim, incorrect cashback amount claim or other mis-match claims. Required scopes: `audit:write` Reference: https://docs.getkard.com/api/transactions/create-audits ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://rewards-api.getkard.com` (Production, default) - `https://test-rewards-api.getkard.com` (Sandbox) ## Request ### Path parameters - `organizationId` (string, required) — Your issuer organization ID, provided by Kard - `userId` (string, required) — The ID of the user as defined on the issuers system ### Body (application/json) This endpoint expects a CreateAuditRequestBody. - `data` (list of CreateAuditRequestDataUnion, required) ## Response ### 201 - `data` (list of CreateAuditResponseDataUnion, required) ## Errors ### 207 Create Audit Multi Status - `errors` (list of ErrorObject, required) - `data` (list of CreateAuditResponseDataUnion, optional) ### 401 Unauthorized Error - `errors` (list of ErrorObject, required) ### 500 Internal Server Error - `errors` (list of ErrorObject, required) ### 400 Invalid Request - `errors` (list of ErrorObject, required) ### 404 Does Not Exist Error - `errors` (list of ErrorObject, required) ### 409 Conflict Error - `errors` (list of ErrorObject, required) ## Types ### CreateAuditRequestDataUnion - `type`: `audit` - `attributes` (AuditAttributes, required) ### CreateAuditResponseDataUnion - `type`: `audit` - `attributes` (AuditResponseAttributes, required) - `id` (string, required) — Audit Request ID ### ErrorObject - `status` (string, required) — Status code returned from the request - `title` (string, required) — Name of error - `detail` (string, required) — Description of the specific occurance of the error - `source` (ErrorSource, optional) — An object containing a reference to the primary source of the error - `id` (string, optional) — The id of the resource which caused the error. Always returned for multi-status errors. ### AuditAttributes - `auditCode` (integer, required) — Audit Code - Enum. Please submit the code that is most relevant to your audit request.`3005` : Customer is claiming cashback is incorrect - INCORRECT CASHBACK CLAIM`3006` : Transaction is missing the cashback award - MISSING CASHBACK AWARD`8001` : Other - check audit description - `merchantName` (string, required) — Merchant name related to the transaction audit - `auditDescription` (string, required) — Audit Description. Please provide more details around the audit - `transactionId` (string, required) — Transaction ID from issuer to audit ### AuditResponseAttributes - `transactionId` (string, required) — Cardlinked Transaction ID ### ErrorSource - `pointer` (string, optional) — A JSON pointer to the value in the request document that caused the error - `parameter` (string, optional) — A string indicating which URI query parameter caused the error - `header` (string, optional) — A string indicating the name of a single request header which caused the error ## Examples ### Create Audit Request **Request** ```json { "data": [ { "type": "audit", "attributes": { "auditCode": 8001, "merchantName": "Caribbean Goodness", "auditDescription": "duplicate transaction", "transactionId": "issuerTransaction123" } } ] } ``` **Response** ```json { "data": [ { "type": "audit", "attributes": { "transactionId": "issuerTransaction123" }, "id": "d80a6f28-1b24-4d65-9e42-e1cf3379bc98" } ] } ``` **SDK Code** ```python Create Audit Request import requests url = "https://rewards-api.getkard.com/v2/issuers/organization-123/users/user-123/audits" payload = { "data": [ { "type": "audit", "attributes": { "auditCode": 8001, "merchantName": "Caribbean Goodness", "auditDescription": "duplicate transaction", "transactionId": "issuerTransaction123" } } ] } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript Create Audit Request const url = 'https://rewards-api.getkard.com/v2/issuers/organization-123/users/user-123/audits'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"data":[{"type":"audit","attributes":{"auditCode":8001,"merchantName":"Caribbean Goodness","auditDescription":"duplicate transaction","transactionId":"issuerTransaction123"}}]}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Create Audit Request package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://rewards-api.getkard.com/v2/issuers/organization-123/users/user-123/audits" payload := strings.NewReader("{\n \"data\": [\n {\n \"type\": \"audit\",\n \"attributes\": {\n \"auditCode\": 8001,\n \"merchantName\": \"Caribbean Goodness\",\n \"auditDescription\": \"duplicate transaction\",\n \"transactionId\": \"issuerTransaction123\"\n }\n }\n ]\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Create Audit Request require 'uri' require 'net/http' url = URI("https://rewards-api.getkard.com/v2/issuers/organization-123/users/user-123/audits") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"data\": [\n {\n \"type\": \"audit\",\n \"attributes\": {\n \"auditCode\": 8001,\n \"merchantName\": \"Caribbean Goodness\",\n \"auditDescription\": \"duplicate transaction\",\n \"transactionId\": \"issuerTransaction123\"\n }\n }\n ]\n}" response = http.request(request) puts response.read_body ``` ```java Create Audit Request import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://rewards-api.getkard.com/v2/issuers/organization-123/users/user-123/audits") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"data\": [\n {\n \"type\": \"audit\",\n \"attributes\": {\n \"auditCode\": 8001,\n \"merchantName\": \"Caribbean Goodness\",\n \"auditDescription\": \"duplicate transaction\",\n \"transactionId\": \"issuerTransaction123\"\n }\n }\n ]\n}") .asString(); ``` ```php Create Audit Request request('POST', 'https://rewards-api.getkard.com/v2/issuers/organization-123/users/user-123/audits', [ 'body' => '{ "data": [ { "type": "audit", "attributes": { "auditCode": 8001, "merchantName": "Caribbean Goodness", "auditDescription": "duplicate transaction", "transactionId": "issuerTransaction123" } } ] }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Create Audit Request using RestSharp; var client = new RestClient("https://rewards-api.getkard.com/v2/issuers/organization-123/users/user-123/audits"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"data\": [\n {\n \"type\": \"audit\",\n \"attributes\": {\n \"auditCode\": 8001,\n \"merchantName\": \"Caribbean Goodness\",\n \"auditDescription\": \"duplicate transaction\",\n \"transactionId\": \"issuerTransaction123\"\n }\n }\n ]\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Create Audit Request import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = ["data": [ [ "type": "audit", "attributes": [ "auditCode": 8001, "merchantName": "Caribbean Goodness", "auditDescription": "duplicate transaction", "transactionId": "issuerTransaction123" ] ] ]] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://rewards-api.getkard.com/v2/issuers/organization-123/users/user-123/audits")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` ### Example 2 **Request** ```json { "data": [ { "type": "audit", "attributes": { "auditCode": 0, "merchantName": "string", "auditDescription": "string", "transactionId": "string" } } ] } ``` **Response** ```json { "data": [ { "type": "audit", "attributes": { "transactionId": "string" }, "id": "string" } ], "errors": [ { "status": "string", "title": "string", "detail": "string", "source": { "pointer": "string", "parameter": "string", "header": "string" }, "id": "string" } ] } ``` **SDK Code** ```python import requests url = "https://rewards-api.getkard.com/v2/issuers/%3AorganizationId/users/%3AuserId/audits" payload = { "data": [ { "type": "audit", "attributes": { "auditCode": 0, "merchantName": "string", "auditDescription": "string", "transactionId": "string" } } ] } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://rewards-api.getkard.com/v2/issuers/%3AorganizationId/users/%3AuserId/audits'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"data":[{"type":"audit","attributes":{"auditCode":0,"merchantName":"string","auditDescription":"string","transactionId":"string"}}]}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://rewards-api.getkard.com/v2/issuers/%3AorganizationId/users/%3AuserId/audits" payload := strings.NewReader("{\n \"data\": [\n {\n \"type\": \"audit\",\n \"attributes\": {\n \"auditCode\": 0,\n \"merchantName\": \"string\",\n \"auditDescription\": \"string\",\n \"transactionId\": \"string\"\n }\n }\n ]\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://rewards-api.getkard.com/v2/issuers/%3AorganizationId/users/%3AuserId/audits") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"data\": [\n {\n \"type\": \"audit\",\n \"attributes\": {\n \"auditCode\": 0,\n \"merchantName\": \"string\",\n \"auditDescription\": \"string\",\n \"transactionId\": \"string\"\n }\n }\n ]\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://rewards-api.getkard.com/v2/issuers/%3AorganizationId/users/%3AuserId/audits") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"data\": [\n {\n \"type\": \"audit\",\n \"attributes\": {\n \"auditCode\": 0,\n \"merchantName\": \"string\",\n \"auditDescription\": \"string\",\n \"transactionId\": \"string\"\n }\n }\n ]\n}") .asString(); ``` ```php request('POST', 'https://rewards-api.getkard.com/v2/issuers/%3AorganizationId/users/%3AuserId/audits', [ 'body' => '{ "data": [ { "type": "audit", "attributes": { "auditCode": 0, "merchantName": "string", "auditDescription": "string", "transactionId": "string" } } ] }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://rewards-api.getkard.com/v2/issuers/%3AorganizationId/users/%3AuserId/audits"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"data\": [\n {\n \"type\": \"audit\",\n \"attributes\": {\n \"auditCode\": 0,\n \"merchantName\": \"string\",\n \"auditDescription\": \"string\",\n \"transactionId\": \"string\"\n }\n }\n ]\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = ["data": [ [ "type": "audit", "attributes": [ "auditCode": 0, "merchantName": "string", "auditDescription": "string", "transactionId": "string" ] ] ]] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://rewards-api.getkard.com/v2/issuers/%3AorganizationId/users/%3AuserId/audits")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```